import express from 'express';
import cors from 'cors';
import { executeCommand } from './broker.js';

const app = express();
const port = 8090;

//CORS aktivieren
//app.use(cors());
app.use(cors({
  origin: 'http://localhost:8090'
}));

app.post('/api/command', (req, res) => {
  executeCommand();
  res.status(200).send('Command executed');
});

app.listen(port, '0.0.0.0', () => {
    console.log(`Server läuft auf http://0.0.0.0:${port}`);
});